<template>
    <div id="landing-banner">
        <div class="col d-flex justify-content-center align-items-center banner-slogan">
            <div>Askip, y a moins de paperasse</div>
        </div>

        <div class="concept-illustration">
            <img src="../assets/cloud_pink.png" style="position: absolute;" />
            <img src="../assets/landing_categories.png" style="position: absolute;top: 40px;right: -200px;" />
        </div>
        <div class="banner-body">
            <div class="banner-concept">
                <span class="banner-concept-title">Ton guide au fil du temps</span>
                <p>
                    Askip, c’est votre compagnon d'apprentissage pratique pour simplifier le passage à l’âge adulte.
                </p>
                <p>
                    la vie quotidienne en fournissant des conseils concrets, des tutoriels interactifs et l'expertise dont
                    vous avez besoin pour tous les aspects de votre vie
                </p>
                <p>
                    La plateforme qui accompagne chacun au quotidien en facilitant l’accès à de nombreuses ressources.
                </p>

            </div>

            <div class="banner-account">
                <div class="d-flex justify-content-end">
                    <img src="../assets/runner_pink.png" />
                </div>
                <div class="d-flex flex-column align-items-start">
                    <div style="margin-left: 40px;">
                        <div class="account-line">
                            <img src="../assets/union.png" /><span class="create-text">Lorem ipsum dolor sit amet,
                                consectetur adipiscing elit.</span>
                        </div>
                        <div class="account-line">
                            <img src="../assets/union.png" /><span class="create-text">Lorem ipsum dolor sit amet,
                                consectetur adipiscing elit.</span>
                        </div>
                        <div class="account-line">
                            <img src="../assets/union.png" /><span class="create-text">Lorem ipsum dolor sit amet,
                                consectetur adipiscing elit.</span>
                        </div>
                    </div>
                </div>
                <button class="banner-account-create-button">Créer ton compte</button>
            </div>

            <div class="banner-video d-flex">
                <div class="video">
                    <img class="video-img" src="../assets/video-idcard.png" />
                    <div class="gradient"></div>
                </div>
                <div class="d-flex flex-column justify-content-around video-text">
                    <img class="dash-green" src="../assets/dash_green.png" />
                    <div class="video-title">Qu'as tu retenu?</div>
                    <div class="video-section">Question #1</div>
                    <div class="video-body">Lorem ipsum dolor sit amet, consectetur adipiscing elit</div>
                    <div class="answer d-flex">
                        <div class="answer-cell">
                            <div>A</div>
                        </div>
                        <div class="answer-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</div>
                    </div>
                    <div class="answer d-flex">
                        <div class="answer-cell">
                            <div>B</div>
                        </div>
                        <div class="answer-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</div>
                    </div>
                </div>


            </div>

            <div class="banner-profile d-flex flex-column">

                <div class="profile-head d-flex justify-content-end">
                    <div class="profile-bio d-flex flex-column align-items-end">
                        <div>Nom</div>
                        <div>Prénom</div>
                    </div>
                    <div class="profile-image">
                        <img src="../assets/profile_bubble_pink.png" />
                    </div>
                </div>
                <div class="d-flex flex-column align-items-end justify-content-between" style="margin-right: 10px;">
                    <ProgressBar :label="'Administratif'" :ratio="63"></ProgressBar>
                    <ProgressBar :label="'Fiscalité'" :ratio="80"></ProgressBar>
                    <ProgressBar :label="'Juridique'" :ratio="75"></ProgressBar>
                    <ProgressBar :label="'Bancaire'" :ratio="32"></ProgressBar>
                </div>
            </div>
            <!--

                <div class="banner-test skeleton">
                    <div>Test</div>
                    <div class="create-button">Créé ton compte</div>
                </div>
                <div class="banner-img skeleton">Image</div>
            -->
        </div>

    </div>
</template>

<script>
import ProgressBar from './ProgressBar.vue';

export default {
    name: 'LandingBanner',
    components: {
        ProgressBar
    },
    data() {
        return {}
    },
    methods: {}
}
</script>

<style scoped>
#landing-banner {
    margin: 20px 50px 270px 50px;
    position: relative;
}

.banner-slogan {
    width: 100%;
    margin-bottom: 27px;
    color: #1A0B00;
    font-family: Pawradise;
    font-size: 35px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.banner-body {
    position: relative;
    z-index: 1;
}

.banner-concept {
    width: 486px;
    text-align: start;
    position: relative;
}

.concept-illustration {
    position: absolute;
    top: 60px;
    right: 750px;
    z-index: 0;
}

.banner-concept-title {
    color: #1A0B00;
    font-family: Pawradise;
    font-size: 30px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.banner-concept p {
    color: #1A0B00;
    font-family: Montserrat;
    font-size: 15px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.banner-video {
    width: 625px;
    height: 259px;
    border-radius: 20px;
    border: 5px solid var(--vert-vert-fonc, #3A9344);
    background: #6BE67D;
    color: #1A0B00;
    z-index: 10;
}

.video {
    width: 370px;
    height: 250px;
    position: relative;

}

.gradient {
    border-radius: 16px 0px 0px 16px;

    width: 370px;
    height: 250px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    background: linear-gradient(180deg, #1A0B00 0%, rgba(26, 11, 0, 0.22) 100%);
}

.video-text {
    margin: 18px 21px;
    text-align: start;
    position: relative;
}

.dash-green {
    width: 125px;
    height: 191px;
    position: absolute;
    right: -20px;
    top: 40px;
    z-index: 0;
}

.video-title {
    z-index: 1;

    font-family: Pawradise;
    font-size: 24px;
    font-weight: 400;
}

.video-section {
    z-index: 1;

    font-family: Montserrat;
    font-size: 15px;
    font-weight: 700;
}

.video-body {
    z-index: 1;

    color: #1A0B00;
    font-family: Montserrat;
    font-size: 12px;
    font-weight: 400;
}

.answer {
    z-index: 1;

    display: flex;
    justify-content: center;
    align-items: center;
}

.answer-cell {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 46px;
    height: 33px;
    border-radius: 6px;
    border: 3px solid var(--bleu-bleu, #9BE3D9);
    background: var(--bleu-bleu-clair, #D4F4EE);
    font-family: Montserrat;
    font-size: 15px;
    font-weight: 700;
}

.answer-text {
    font-family: Montserrat;
    font-size: 9px;
    font-weight: 400;
}



.banner-test {
    width: 445px;
    height: 277px;
    position: absolute;
    top: 372px;
    left: 335px;
    background-color: #D9D9D9;
}

.create-button {
    width: 193px;
    height: 67px;
    position: relative;
    top: 80%;
    left: calc(50% - 95px);
    border-radius: 34px;
    border: black solid 1px;
    background-color: #D9D9D9;

}

.banner-img {
    width: 574px;
    height: 250px;
    position: absolute;
    top: 0;
    right: 292px;
    background-color: #D9D9D9;
}

.banner-account {
    width: 445.586px;
    height: 277px;
    background-color: #FFFF78;
    border-radius: 20px;
    border: 5px solid #CECA3E;
    position: absolute;
    top: 390px;
    left: 278px;
    z-index: -1;
}

.banner-account-create-button {
    width: 193px;
    height: 67px;
    border-radius: 20px;
    border: 5px solid var(--jaune-jaune-fonc, #CECA3E);
    background: var(--jaune-jaune, #FFFF78);
    position: absolute;
    bottom: -33.5px;
    left: calc(50% - 96.5px);
    color: #1A0B00;
    text-align: center;
    font-family: Pawradise;
    font-size: 20px;
    font-weight: 400;
}

.account-line {
    margin: 6px;
}
.create-text {
    color: #1A0B00;
    font-family: Montserrat;
    font-size: 9px;
    font-weight: 400;
    margin-left: 23px;
}

.banner-profile {
    width: 620.134px;
    height: 423px;
    position: absolute;
    top: 350px;
    right: 0px;
    z-index: 10;
    border-radius: 20px;
    border: 5px solid var(--bleu-bleu-fonc, #61C1B1);
    background: #9BE3D9;
    padding: 18px 33px;
}

.profile-bio {
    width: 140px;
    color: #000;
    text-align: right;
    font-family: Pawradise;
    font-size: 50px;
    font-weight: 400;
}

.profile-image {
    width: 140px;
    height: 140px;
    margin-left: 46px;
}</style>